Skip to main content
`Ctrl`+`K`

# PetscDualSpaceViewFromOptions

View a `PetscDualSpace` based on values in the options database

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceViewFromOptions(PetscDualSpace A, PeOp PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `PetscDualSpace` object

- obj - Optional object, provides the options prefix

- name - command line option name

## Note

See `PetscObjectViewFromOptions()` for possible command line values

## See Also

`PetscDualSpace`, `PetscDualSpaceView()`, `PetscObjectViewFromOptions()`, `PetscDualSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/dualspace/interface/dualspace.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages